[hacktree] mountall.sh: Import from Debian initscripts 2.88dsf-13.11
- From: Colin Walters <walters src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [hacktree] mountall.sh: Import from Debian initscripts 2.88dsf-13.11
- Date: Wed, 19 Oct 2011 16:26:01 +0000 (UTC)
commit 8d4b3f87e3983234cc6c5fd26eea6c48d4faba33
Author: Colin Walters <walters verbum org>
Date: Tue Oct 18 15:38:16 2011 -0400
mountall.sh: Import from Debian initscripts 2.88dsf-13.11
parallel-debian/etc/init.d/mountall.sh | 88 ++++++++++++++++++++++++++++++++
1 files changed, 88 insertions(+), 0 deletions(-)
---
diff --git a/parallel-debian/etc/init.d/mountall.sh b/parallel-debian/etc/init.d/mountall.sh
new file mode 100755
index 0000000..405839c
--- /dev/null
+++ b/parallel-debian/etc/init.d/mountall.sh
@@ -0,0 +1,88 @@
+#! /bin/sh
+### BEGIN INIT INFO
+# Provides: mountall
+# Required-Start: checkfs
+# Required-Stop:
+# Default-Start: S
+# Default-Stop:
+# Short-Description: Mount all filesystems.
+# Description:
+### END INIT INFO
+
+PATH=/sbin:/bin
+. /lib/init/vars.sh
+
+. /lib/lsb/init-functions
+. /lib/init/mount-functions.sh
+. /lib/init/swap-functions.sh
+
+# for ntfs-3g to get correct file name encoding
+if [ -r /etc/default/locale ]; then
+ . /etc/default/locale
+ export LANG
+fi
+
+do_start() {
+ #
+ # Mount local file systems in /etc/fstab.
+ #
+ mount_all_local() {
+ mount -a -t nonfs,nfs4,smbfs,cifs,ncp,ncpfs,coda,ocfs2,gfs,gfs2 \
+ -O no_netdev
+ }
+ pre_mountall
+ if [ "$VERBOSE" = no ]
+ then
+ log_action_begin_msg "Mounting local filesystems"
+ mount_all_local
+ log_action_end_msg $?
+ else
+ log_daemon_msg "Will now mount local filesystems"
+ mount_all_local
+ log_end_msg $?
+ fi
+ post_mountall
+
+ case "$(uname -s)" in
+ *FreeBSD)
+ INITCTL=/etc/.initctl
+ ;;
+ *)
+ INITCTL=/dev/initctl
+ ;;
+ esac
+
+ #
+ # We might have mounted something over /dev, see if
+ # /dev/initctl is there. Look for /usr/share/sysvinit/update-rc.d
+ # to verify that sysvinit (and not upstart) is installed).
+ #
+ if [ ! -p $INITCTL ] && [ -f /usr/share/sysvinit/update-rc.d ]; then
+ rm -f $INITCTL
+ mknod -m 600 $INITCTL p
+ kill -USR1 1
+ fi
+
+ # Execute swapon command again, in case we want to swap to
+ # a file on a now mounted filesystem.
+ swaponagain 'swapfile'
+}
+
+case "$1" in
+ start|"")
+ do_start
+ ;;
+ restart|reload|force-reload)
+ echo "Error: argument '$1' not supported" >&2
+ exit 3
+ ;;
+ stop)
+ # No-op
+ ;;
+ *)
+ echo "Usage: mountall.sh [start|stop]" >&2
+ exit 3
+ ;;
+esac
+
+:
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]